Random highlight
Reading
Random highlight
Returns a single random highlight with article context.
GET
Random highlight
Authorizations
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.rewind.rest/v1/reading/highlights/random \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/reading/highlights/random', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/reading/highlights/random"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 77,
"text": "We have built a world where distraction is the default and attention is the exception.",
"note": null,
"position": 3,
"chapter": null,
"page": null,
"created_at": "2026-02-14T12:30:00.000Z",
"article": {
"id": 87,
"title": "Why the Internet Isn't Working",
"author": "Maxwell Zeff",
"domain": "wired.com",
"url": "https://www.wired.com/story/why-the-internet-isnt-working",
"instapaper_url": "https://www.instapaper.com/read/2345678",
"instapaper_app_url": "instapaper://read/2345678"
}
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}Returns a single random highlight with article context.
curl --request GET \
--url https://api.rewind.rest/v1/reading/highlights/random \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/reading/highlights/random', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/reading/highlights/random"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 77,
"text": "We have built a world where distraction is the default and attention is the exception.",
"note": null,
"position": 3,
"chapter": null,
"page": null,
"created_at": "2026-02-14T12:30:00.000Z",
"article": {
"id": 87,
"title": "Why the Internet Isn't Working",
"author": "Maxwell Zeff",
"domain": "wired.com",
"url": "https://www.wired.com/story/why-the-internet-isnt-working",
"instapaper_url": "https://www.instapaper.com/read/2345678",
"instapaper_app_url": "instapaper://read/2345678"
}
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.